Subject: [ANNOUNCE] vlock version 0.6
From: [email-masked] (Michael K. Johnson)
Date: Thu, 24 Mar 1994 04:36:56 GMT
Newsgroups: comp.os.linux.announce

*** vlock is a program which locks virtual terminals, and now locks ***
*** non-virtual terminal tty's as well, if you insist...            ***

I have released vlock version 0.6 to both sunsite and tsx-11, and it
fixes all bugs that were reported to me.  Details are in the README
file in the distribution.

Please read the README file before using vlock.  Really -- it does
explain some important things.

If you got vlock 0.5, I suggest getting vlock 0.6.  There was one
significant bug in the earlier version; on some setups, SIGQUIT, which
can be delivered from the keyboard with <CTRL>-\, would kill
vlock.  This should now be fixed.

vlock now locks any tty session, to the extent that the tty session
can be easily locked.  I do not think that it is as secure on other
terminal sessions as on virtual terminals (the Linux console), because
I have not tested it there.

vlock does not work on machines with passwords administered with NIS
or NYS.

An LSM entry follows.

michaelkjohnson

Begin2
Title        = vlock
Version      = 0.6
Desc1        = Linux Console lock program -- kind of like xlock for
Desc2        = Virtual Consoles.  Now may work for login sessions on
Desc3        = other tty types, too, but I'm not sure it's perfect...
Author       = Michael K. Johnson
AuthorEmail  = [email-masked]
Maintainer   = Michael K. Johnson
MaintEmail   = [email-masked]
Site1        = tsx-11.mit.edu
Path1        = /pub/linux/sources/usr.bin
File1        = vlock-0.5.tar.gz
Site2        = sunsite.unc.edu
Path2        =
File2        = vlock-0.5.tar.gz
Required1    = Linux .96 or higher, libc 4.4.4 or higher.
Required2    = Shadow passwords should work now.
CopyPolicy1  = GNU Copyleft
Keywords     = virtual terminals virtual consoles screen lock
End